Bug 165900 - [new port] emulators/linux_base-c6
Summary: [new port] emulators/linux_base-c6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-10 10:50 UTC by Svyatoslav Lempert
Modified: 2012-04-22 10:31 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Svyatoslav Lempert 2012-03-10 10:50:00 UTC
This port contains packages from a near-minimal installation of CentOS 6
Linux.  These packages, in conjunction with the linux kernel module,
form the basis of the Linux compatibility environment. It is designed to
provide a nice user experience by using the FreeBSD configuration for
corresponding Linux stuff where possible. Because of this any work which
needs to chroot into the linux base may not work as expected (no fallthrough
to the FreeBSD config possible).

You should enable Linux mode with the linux_enable variable of rc.conf(5) and use compat.linux.osrelease=2.6.18 or higher in sysctl.conf(5).

Fix: 

New port in shar file (I can't add via PR becase it >100KB)
http://dl.dropbox.com/u/4211495/linux_base-c6.shar
How-To-Repeat: See ports@ subject: FreeBSD Port: linux_base-f10-10_4
Comment 1 dfilter service freebsd_committer 2012-04-22 10:25:05 UTC
netchild    2012-04-22 09:24:52 UTC

  FreeBSD ports repository

  Modified files:
    emulators/linux_base-c6 Makefile pkg-descr pkg-install 
                            pkg-message pkg-plist 
  Added files:
    emulators/linux_base-c6 distinfo.i686 
  Removed files:
    emulators/linux_base-c6 distinfo.i386 
  Log:
  After repocopy (by marcus@) from linux_base-f10:
  
  Add linux_base-c6 port. This is a linux_base port based upon CentOS 6.
  CentOS 6 is supported upstream (so far) until November 30, 2020.
  
  Compared to the port as submitted in the PR, I added most SRC_DISTFILES
  and set the maintainer to emulation@ (discussed with the submitter).
  
  Not connected to the ports collection (emulation/Makefile) yet, first I want
  to find the missing src RPMs (compat-*, stdc++, ...). The port is committed
  anyway, so that people can help with the TODO list (in the Makefile).
  
  WARNING: it is highly experimental to use this port instead of the default
  linux_base port. You need to set compat.linux.osrelease to 2.6.18, so watch
  out for unimplemented syscalls (most recent 8-stable / 9-stable or -current
  is recommended for this).
  
  Submitted by:   Svyatoslav Lempert <svyatoslav.lempert@gmail.com>
  PR:             165900
  
  Revision  Changes     Path
  1.62      +103 -94    ports/emulators/linux_base-c6/Makefile
  1.36      +0 -148     ports/emulators/linux_base-c6/distinfo.i386 (dead)
  1.1       +144 -0     ports/emulators/linux_base-c6/distinfo.i686 (new)
  1.14      +1 -1       ports/emulators/linux_base-c6/pkg-descr
  1.14      +4 -0       ports/emulators/linux_base-c6/pkg-install
  1.9       +6 -0       ports/emulators/linux_base-c6/pkg-message
  1.35      +925 -1505  ports/emulators/linux_base-c6/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 2 Alexander Leidinger freebsd_committer 2012-04-22 10:31:01 UTC
State Changed
From-To: open->closed

Committed, thanks!